#ifndef USERWINDOW_H
#define USERWINDOW_H

#include <QMainWindow>
#include <showtable.h>
#include <QSqlDatabase>
#include <QInputDialog>
#include <QSqlError>
#include <QMessageBox>

namespace Ui {
class UserWindow;
}

class UserWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit UserWindow(QWidget *parent = 0);
    ~UserWindow();

public slots:
    void getdata(QSqlDatabase db1, QString tablename1);
signals:
    void sendata(QSqlDatabase,QString);

private slots:
    void on_usrtable_clicked();

    void on_find_usr_clicked();

    void on_delet_usr_clicked();

    void on_goback_clicked();

    void on_updata_usr_clicked();

private:
    Ui::UserWindow *ui;
    ShowTable *table;
    QSqlDatabase db;
    QString tablename;
};

#endif // USERWINDOW_H
